<?xml version="1.0" encoding="utf-8"?>
<xbrl
  xml:lang="en-US"
  xmlns="http://www.xbrl.org/2003/instance"
  xmlns:dei="http://xbrl.sec.gov/dei/2019-01-31"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:schemaRef xlink:href="cvi-20201130.xsd" xlink:type="simple"/>
    <context id="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130">
        <entity>
            <identifier scheme="http://www.sec.gov/CIK">0001376139</identifier>
        </entity>
        <period>
            <startDate>2020-11-30</startDate>
            <endDate>2020-11-30</endDate>
        </period>
    </context>
    <dei:EntityCentralIndexKey
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF80L2ZyYWc6ZjJhMmU3YWZiODdhNDQxOGEyMGI1N2ExMDM3OTEwMmMvdGFibGU6YTZhYWFjNjhmNzUwNDdmMmIzMjljMTAxY2RhYzNiNjcvdGFibGVyYW5nZTphNmFhYWM2OGY3NTA0N2YyYjMyOWMxMDFjZGFjM2I2N18wLTEtMS0xLTA_db1113c9-4309-4144-b9f0-8d56aa128150">0001376139</dei:EntityCentralIndexKey>
    <dei:AmendmentFlag
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF80L2ZyYWc6ZjJhMmU3YWZiODdhNDQxOGEyMGI1N2ExMDM3OTEwMmMvdGFibGU6YTZhYWFjNjhmNzUwNDdmMmIzMjljMTAxY2RhYzNiNjcvdGFibGVyYW5nZTphNmFhYWM2OGY3NTA0N2YyYjMyOWMxMDFjZGFjM2I2N18xLTEtMS0xLTA_6e7a6205-cb6b-494b-8f90-909d8e700528">false</dei:AmendmentFlag>
    <dei:DocumentType
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8xMjI_029858dd-ad7c-4f2d-bf27-944c93070437">8-K</dei:DocumentType>
    <dei:DocumentPeriodEndDate
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8yOTk_b9b8f8a8-36dc-45d4-8679-ee000d493539">2020-11-30</dei:DocumentPeriodEndDate>
    <dei:EntityRegistrantName
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8zMDM_11c757f4-5b7b-4a34-b482-95496a6be8a8">CVR ENERGY, INC.</dei:EntityRegistrantName>
    <dei:EntityIncorporationStateCountryCode
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGFibGU6M2UzY2JlZDI5MDg4NGYyY2JhZDdkNmZkNzIzNzgxYjQvdGFibGVyYW5nZTozZTNjYmVkMjkwODg0ZjJjYmFkN2Q2ZmQ3MjM3ODFiNF8wLTAtMS0xLTA_63aefb27-f115-4c50-87db-4db0457b5c55">DE</dei:EntityIncorporationStateCountryCode>
    <dei:EntityFileNumber
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGFibGU6M2UzY2JlZDI5MDg4NGYyY2JhZDdkNmZkNzIzNzgxYjQvdGFibGVyYW5nZTozZTNjYmVkMjkwODg0ZjJjYmFkN2Q2ZmQ3MjM3ODFiNF8wLTEtMS0xLTA_aa1b7702-af33-41d7-9512-e9fa2a14c1f9">001-33492</dei:EntityFileNumber>
    <dei:EntityTaxIdentificationNumber
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGFibGU6M2UzY2JlZDI5MDg4NGYyY2JhZDdkNmZkNzIzNzgxYjQvdGFibGVyYW5nZTozZTNjYmVkMjkwODg0ZjJjYmFkN2Q2ZmQ3MjM3ODFiNF8wLTItMS0xLTA_ced2f588-fb57-46c6-a37e-d7edbe6a465f">61-1512186</dei:EntityTaxIdentificationNumber>
    <dei:EntityAddressAddressLine1
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8zNjQ_5e6f9385-282a-4264-b1f6-0814d0b26f34">2277 Plaza Drive, Suite 500</dei:EntityAddressAddressLine1>
    <dei:EntityAddressCityOrTown
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8zNjc_25925749-c0a6-4b3e-8d2a-3eaae7a13163">Sugar Land</dei:EntityAddressCityOrTown>
    <dei:EntityAddressStateOrProvince
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8zNzE_31853ae0-1ab3-4c14-b087-4d04ce07c187">TX</dei:EntityAddressStateOrProvince>
    <dei:EntityAddressPostalZipCode
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8zNzU_29cf111a-50db-40db-8c38-d37a2b343fbd">77479</dei:EntityAddressPostalZipCode>
    <dei:CityAreaCode
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF80OTM_b9e2abcf-9700-4178-880f-8528fa91afcf">281</dei:CityAreaCode>
    <dei:LocalPhoneNumber
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF80OTc_a6cb3d6c-715c-4bbc-b1bd-40a47230810c">207-3200</dei:LocalPhoneNumber>
    <dei:WrittenCommunications
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF82NzQ_304d434b-7051-4e0f-bd24-c8ef9c0fe92e">false</dei:WrittenCommunications>
    <dei:SolicitingMaterial
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF83NjQ_9ebd5c7d-35b5-4ce4-91a8-4ede350853a0">false</dei:SolicitingMaterial>
    <dei:PreCommencementTenderOffer
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF84NTU_31c3835a-2362-438e-8081-2059ad1b3891">false</dei:PreCommencementTenderOffer>
    <dei:PreCommencementIssuerTenderOffer
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF85NjI_2a6c8540-3ec3-40e4-b0c6-d95bd0a3ff99">false</dei:PreCommencementIssuerTenderOffer>
    <dei:Security12bTitle
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGFibGU6NDRlMDZjZjY0NzcyNDQzNGFlYjc1NDZmODk3ZGZiNTQvdGFibGVyYW5nZTo0NGUwNmNmNjQ3NzI0NDM0YWViNzU0NmY4OTdkZmI1NF8xLTAtMS0xLTA_1c7f056b-1f30-4158-b235-f0b244a90f59">Common Stock, $0.01 par value per share</dei:Security12bTitle>
    <dei:TradingSymbol
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGFibGU6NDRlMDZjZjY0NzcyNDQzNGFlYjc1NDZmODk3ZGZiNTQvdGFibGVyYW5nZTo0NGUwNmNmNjQ3NzI0NDM0YWViNzU0NmY4OTdkZmI1NF8xLTEtMS0xLTA_8ae49e92-d599-42d3-8ab1-a6aa1097d6c2">CVI</dei:TradingSymbol>
    <dei:SecurityExchangeName
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGFibGU6NDRlMDZjZjY0NzcyNDQzNGFlYjc1NDZmODk3ZGZiNTQvdGFibGVyYW5nZTo0NGUwNmNmNjQ3NzI0NDM0YWViNzU0NmY4OTdkZmI1NF8xLTItMS0xLTA_da016489-1afb-4225-9bb4-1b38b0c9159b">NYSE</dei:SecurityExchangeName>
    <dei:EntityEmergingGrowthCompany
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8xMzk1_04481787-8561-4ab5-bc16-6ffa928469fb">false</dei:EntityEmergingGrowthCompany>
    <dei:DocumentPeriodEndDate
      contextRef="i5912926d39be433d93b009ee9536d9dc_D20201130-20201130"
      id="id3VybDovL2RvY3MudjEvZG9jOjAxYzIwNjU5ZmY5MTRhNDFhNTZhNGM1OTQ3Y2Q3MzQ4L3NlYzowMWMyMDY1OWZmOTE0YTQxYTU2YTRjNTk0N2NkNzM0OF8xL2ZyYWc6NmFmZjY4Nzc5MDdjNDg0ZTljYzU1MTljOGI3ZmIxMDAvdGV4dHJlZ2lvbjo2YWZmNjg3NzkwN2M0ODRlOWNjNTUxOWM4YjdmYjEwMF8xMDk5NTExNjMxMzU0_b9b8f8a8-36dc-45d4-8679-ee000d493539">2020-11-30</dei:DocumentPeriodEndDate>
</xbrl>
